import e from "./isArrayLike.js";
import t from "./_baseEach.js";
//#region ../../node_modules/lodash-es/_baseMap.js
function n(n, r) {
	var i = -1, a = e(n) ? Array(n.length) : [];
	return t(n, function(e, t, n) {
		a[++i] = r(e, t, n);
	}), a;
}
//#endregion
export { n as default };
